Package com.pixelmed.display

# Class ChestImageViewer

java.lang.Object
com.pixelmed.display.ChestImageViewer

public class ChestImageViewer extends Object

This class is an entire application for displaying and viewing chest x-ray images.

It is invoked using a main method with a list of DICOM image file names.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JFrame`
`frame`
`protected int`
`frameHeight`
`protected int`
`frameWidth`
`protected JPanel`
`multiPanel`

## Constructor Summary

Constructors
Constructor
Description
`ChestImageViewer(String[] filenames)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`static DisplayDeviceArea[]`
`getPresentationAndImageDeviceAreas()`
`void`
`loadMultiPanelFromSpecifiedFiles(String[] filenames)`
`static void`
`main(String[] arg)`
The method to invoke the application.
`protected SingleImagePanel`
`makeNewImagePanel(SourceImage sImg, EventContext typeOfPanelEventContext)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### frame

protected JFrame frame

### multiPanel

protected JPanel multiPanel

### frameWidth

protected int frameWidth

### frameHeight

protected int frameHeight

## Constructor Details

### ChestImageViewer

public ChestImageViewer(String[] filenames) throws Exception

Parameters:
  `filenames` -
Throws:
  `Exception` - if internal error

## Method Details

### makeNewImagePanel

protected SingleImagePanel makeNewImagePanel(SourceImage sImg, EventContext typeOfPanelEventContext)

### loadMultiPanelFromSpecifiedFiles

public void loadMultiPanelFromSpecifiedFiles(String[] filenames) throws Exception

Parameters:
  `filenames` -
Throws:
  `Exception` - if internal error

### getPresentationAndImageDeviceAreas

public static DisplayDeviceArea[] getPresentationAndImageDeviceAreas()

### clear

public void clear()

### main

public static void main(String[] arg)

The method to invoke the application.

Parameters:
  `arg` - a list of DICOM files which may contain chest x-ray images